Subject: Re: Filters in PCPine

From: "Mark W. Oosterveld" <[email-masked]>
Date: Mon, 29 Jul 1996 10:21:47 -0400

Ari Spanos wrote:
> 
> I've just finished configuring PGP to work with Pine verson 3.93 for UNIX,
> using the "display-filters" and "sending-filters" options in the Setup.
> It works very well.
> 
> I thought I might do the same in for a different account where I use
> PCPine 32 bit Version 3.95. Using the same principles, I should be able to
> write a batch file to do the job of the shell script in UNIX. It does not
> seem to work - not because the batch file doesn't work - but because Pine
> does not ask if I want to apply a filter when I'm ready to send.
> Essentially it ignores the filter configuration completely.

I did the same thing. First, know that PCPine, or at least the 32 bit version, 
does not support pipes. So, you need to make sure the filter rule includes
_TMPFILE_. Second, make sure you specify the explicit path to the program,
including extension. (ie: d:\win\pine\pgpfilt.bat). And last, you will need
to make a small change to the source. In the file os.c (which is created, I
believe from os_wnt.c), search for PIPE_RESET. (I am working from memory here.
I don't have the source in front of me...) There is an if statement, something
like:  if (mode && (PIPE_RESET | PIPE_READ | PIPE_WRITE))

Take the PIPE_RESET out of that line. And recompile.

I mailed this fix to the development team. If they like it, 3.96 should work
better.

> Ari Spanos

Mark Oosterveld